Subject: bug#66128: 28.2; visible-bell breaks setterm --inversescreen on

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Sep 2023 11:50:39 +0300

> Date: Mon, 25 Sep 2023 04:07:22 -0400
> From: Thomas Dickey <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> On Mon, Sep 25, 2023 at 08:03:38AM +0300, Eli Zaretskii wrote:
> ...
> > Thanks.  So Emacs should ideally reverse the sequence when the
> > terminal is in the reverse-video mode, or at least send the "\033[?5h"
> > sequence after sending "flash"?  But can Emacs know that the terminal
> > is in this mode at startup?
> 
> I don't see how - the usual way (an escape sequence which returns this
> information) is not documented for Linux in console_codes.
> 
> Lacking that, you'd rely upon the user to tell Emacs what to do.

I see.  I guess we will need to ask such users to customize the
inverse-video variable to a non-nil value, and then change
tty_ring_bell accordingly.

Thanks.